Bug Hunting Session
Bug 57190 - TABLE Strange numbering behavior on inserting rows
Summary: TABLE Strange numbering behavior on inserting rows
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables Writer-UX
  Show dependency treegraph
 
Reported: 2012-11-16 10:21 UTC by Urmas
Modified: 2019-06-03 02:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2012-11-16 10:21:56 UTC
When the new rows are inserted above the one which has a numbered paragraph with a reset numeration property, both new and old rows will have it, and be numbered with the same number like 1. This is counterintuitive.

Only a new row should have it.
Comment 1 m.a.riosv 2012-11-17 01:49:40 UTC
I think the formats are the same like the row the cursor is when a new row is inserted.
Comment 2 Marco Menardi 2012-12-18 23:19:19 UTC
I've tested with a different word processor software, and it works as the reporter expects, and that seems mote intuitive to me too.
LibreOffice 3.x or 4.x have this bug instead.
I understand the technical reason (copy the format) but of course users don't think in the "implementation way" but in the meaningful logical way, or the way you would to if done manually.
In fact the command is "insert a new row" not "clone the current one", so if I insert a row under the one with 1 as numbered paragraph, I expect it to be numbered 2, not 1 again.
Comment 3 QA Administrators 2015-01-05 17:52:25 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-01-29 09:17:32 UTC
I'm wondering about the repro steps.
I turned on numbering and created two paragraphs.
Then I right clicked at pgraph 2. and selected Restart numbering (numbering changed to 1.).
Then I went to the end of pgraph 1. and pressed enter.
A new pgraph with 2. appeared.

Does this mean the problem is gone?

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 5 Urmas 2015-01-29 15:01:53 UTC
Still present in master. To reproduce, go to Table/Insert/Rows...
Choose "before".
Comment 6 QA Administrators 2016-02-21 08:37:53 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-03-06 16:02:20 UTC Comment hidden (obsolete)
Comment 8 Thomas Lendo 2018-06-02 20:27:48 UTC
Repro with Version: 6.2.0.0.alpha0+
Build ID: 7725eff80a7bc3f3e422e56e1cd7bfa531f19a70
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group threaded
Comment 9 QA Administrators 2019-06-03 02:49:21 UTC
Dear Urmas,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug